
<div class="fields-wrap">
	<form (keydown.enter)="$event.preventDefault();" [formGroup]="applicationFormGroup">
		<div class="page-wrap">
			<div class="group-header">
				<h4 class="group-title">Application Form</h4>
			</div>
			<div class="form-group">
				<mat-accordion multi="true">
					<mat-expansion-panel [expanded]="true" hideToggle>
						<mat-expansion-panel-header [collapsedHeight]="'47px'" [expandedHeight]="'47px'">
							<mat-panel-title>
								<h5 class="group-heading hide-arrow">Personal Info</h5>
							</mat-panel-title>
						</mat-expansion-panel-header>
						<ng-template matExpansionPanelContent>
							<div class="form-row">
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaWithSpaces maxlength="100" placeholder="Applicant Name*" formControlName="applicantName" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('applicantName').errors && applicationFormGroup.get('applicantName').errors.required">Please enter Applicant Name</mat-error>
										<div class="help-tool field-help-tool">
											<i class="material-icons">help_outline</i>
											<span class="help-tool-txt">
												Please enter your name as given in PAN card.
											</span>
										</div>
									</mat-form-field>
								</div>
								<div class="form-col daterange-picker">
									<mat-form-field class="new-user-form-field date-label">
										<input matInput [errorStateMatcher]="formSubmittedMatcher" placeholder="Applicant DOB(DD/MM/YYYY)*" [options]="myApplicantDob" class="date-input" ngx-mydatepicker formControlName="dob" [defaultMonth]="getDOBDefaultMonth(21)" #ngxdbp="ngx-mydatepicker" date length="10"/>
										<div class="calendar-btn-group">
											<!-- <span (click)="ngxdbp.clearDate()"><i class="material-icons">clear</i></span> -->
											<span (click)="ngxdbp.toggleCalendar()"><i class="material-icons">today</i></span>
										</div>
										<mat-error *ngIf="applicationFormGroup.get('dob').errors && applicationFormGroup.get('dob').errors.required && !applicationFormGroup.get('dob').errors.invalidDateFormat">Please enter DOB</mat-error>
										<mat-error *ngIf="applicationFormGroup.get('dob').errors && applicationFormGroup.get('dob').errors.invalidDateFormat">Please enter valid DOB</mat-error>
										<div class="help-tool field-help-tool">
											<i class="material-icons">help_outline</i>
											<span class="help-tool-txt">
												Please enter your Date of birth as per PAN card
											</span>
										</div>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Gender*" formControlName="gender" disableOptionCentering>
											<mat-option>Select</mat-option>
											<mat-option *ngFor="let item of constantsService.constants.gender" [value]="item.key">{{ item.value }}</mat-option>
										</mat-select>
										<mat-error *ngIf="applicationFormGroup.get('gender').errors && applicationFormGroup.get('gender').errors.required">Please select Gender</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaWithSpaces maxlength="100" placeholder="Mother's Maiden Name*" formControlName="mothersMaidenName" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('mothersMaidenName').errors && applicationFormGroup.get('mothersMaidenName').errors.required">Please enter Mother's Maiden Name</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Marital Status*" formControlName="marritalStatus" disableOptionCentering>
											<mat-option>Select</mat-option>
											<mat-option *ngFor="let item of constantsService.constants.maritalStatus" [value]="item.key">{{ item.value }}</mat-option>
										</mat-select>
										<mat-error *ngIf="applicationFormGroup.get('marritalStatus').errors && applicationFormGroup.get('marritalStatus').errors.required">Please select Marital Status</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsOnly maxlength="50" placeholder="Personal Email ID*" formControlName="emailId" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('emailId').errors && applicationFormGroup.get('emailId').errors.email && applicationFormGroup.get('emailId').errors.email.required">Please enter Personal Email ID</mat-error>
										<mat-error *ngIf="applicationFormGroup.get('emailId').errors && applicationFormGroup.get('emailId').errors.email && applicationFormGroup.get('emailId').errors.email.pattern">Please enter valid Email ID</mat-error>
										<div class="help-tool field-help-tool">
											<i class="material-icons">help_outline</i>
											<span class="help-tool-txt">
												Share your valid email id inorder to receive timely communication regarding your application
											</span>
										</div>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Office Address Line 01*" formControlName="addressLine1" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('addressLine1').errors && applicationFormGroup.get('addressLine1').errors.required">Please enter Office Address Line 01</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Office Address Line 02*" formControlName="addressLine2" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('addressLine2').errors && applicationFormGroup.get('addressLine2').errors.required">Please enter Office Address Line 02</mat-error>										
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="50" placeholder="Landmark (optional)" formControlName="landMark" type="text" >
										
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field class="new-user-form-field">
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" placeholder="City*" formControlName="cityName" type="text" alphaOnly [upperOnly]="true" (focus)="cityShowTooltip()" (blur)="cityHideTooltip()" maxlength="255" matTooltipPosition="above" matTooltipClass="city-tooltip-red" >
										<div *ngIf="showCitySelection" class="auto-select">
											<ul>
												<li *ngFor="let option of cityList" (click)="selectCity(option)">
													{{option.value}}
												</li>
											</ul>
										</div>
										<mat-error *ngIf="applicationFormGroup.get('cityName').errors && applicationFormGroup.get('cityName').errors.required">Please enter the city</mat-error>
										<mat-error *ngIf="applicationFormGroup.get('cityName').errors && applicationFormGroup.get('cityName').errors.city && applicationFormGroup.get('cityName').errors.city.incorrect">{{ showCityServicableMsg }}</mat-error>
										<mat-error *ngIf="applicationFormGroup.get('cityName').errors && applicationFormGroup.get('cityName').errors.city && applicationFormGroup.get('cityName').errors.city.incorrect">City is not Serviceable.</mat-error>
										<!-- <mat-error *ngIf="applicationFormGroup.get('cityName').errors && applicationFormGroup.get('cityName').errors.maxlength">Company name can be 120 characters long.</mat-error> -->
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly maxlength="6" cropZero="true" placeholder="Pincode*" formControlName="pinCode" type="text" >
										<mat-error *ngIf="applicationFormGroup.get('pinCode').errors && applicationFormGroup.get('pinCode').errors.postalCode && applicationFormGroup.get('pinCode').errors.postalCode.required">Please enter Pincode</mat-error>
										<mat-error *ngIf="applicationFormGroup.get('pinCode').errors && applicationFormGroup.get('pinCode').errors.postalCode && applicationFormGroup.get('pinCode').errors.postalCode.pattern">Please enter 6 digit valid Pincode</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Years in Current Address*" formControlName="yearsInCurAddress" numberOnly disableOptionCentering>
											<mat-option>Select</mat-option>
											<mat-option *ngFor="let item of constantsService.constants.yearsInCurrentAddress" [value]="item.key">{{ item.value }}</mat-option>
										</mat-select>
										<mat-error *ngIf="applicationFormGroup.get('yearsInCurAddress').errors && applicationFormGroup.get('yearsInCurAddress').errors.required">Please select Years in Current Address</mat-error>
									</mat-form-field>
								</div>
								<div class="form-col">
									<mat-form-field>
										<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Years in Current City*" formControlName="yearsInCurCity" numberOnly disableOptionCentering>
											<mat-option>Select</mat-option>
											<mat-option *ngFor="let item of constantsService.constants.yearsInCurrentCity" [value]="item.key">{{ item.value }}</mat-option>
										</mat-select>
										<mat-error *ngIf="applicationFormGroup.get('yearsInCurCity').errors && applicationFormGroup.get('yearsInCurCity').errors.required">Please select Years in Current City</mat-error>
									</mat-form-field>
								</div>
							</div>
						<!-- Reference 1 start -->
						</ng-template>
					</mat-expansion-panel>

					<div formArrayName="reference">
						<mat-expansion-panel [expanded]="false" *ngFor="let referenceRow of applicationFormGroup.controls.reference['controls']; let i = index;"
						[formGroupName]="i">
							<mat-expansion-panel-header [collapsedHeight]="'47px'" [expandedHeight]="'47px'">
								<mat-panel-title>
									<h5 class="group-heading">Reference {{i+1}}</h5>
								</mat-panel-title>
							</mat-expansion-panel-header>
							<ng-template matExpansionPanelContent>
								<div>
									<div class="form-row">  
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaOnly maxlength="50" placeholder="First Name*" formControlName="firstName" type="text" >
												<mat-error *ngIf="referenceRow.get('firstName').errors && referenceRow.get('firstName').errors.required">Please enter First Name</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaOnly maxlength="50" placeholder="Last Name*" formControlName="lastName" type="text" >
												<mat-error *ngIf="referenceRow.get('lastName').errors && referenceRow.get('lastName').errors.required">Please enter Last Name</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Address Type*" formControlName="addressType" disableOptionCentering>
													<mat-option>Select</mat-option>
													<mat-option *ngFor="let item of constantsService.constants.addressType" [value]="item.key">{{ item.value }}</mat-option>
												</mat-select>
												<mat-error *ngIf="referenceRow.get('addressType').errors && referenceRow.get('addressType').errors.required">Please select Address Type</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder=" Address Line 01*" formControlName="addressLine1" type="text" >
												<mat-error *ngIf="referenceRow.get('addressLine1').errors && referenceRow.get('addressLine1').errors.required">Please enter Address Line 01</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaNumericWithSpecialsAndSpaceOnly maxlength="100" placeholder="Address Line 02" formControlName="addressLine2" type="text" >
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field class="new-user-form-field">
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" placeholder="City*" formControlName="cityName" type="text" alphaOnly [upperOnly]="true" (focus)="cityShowTooltip()" (blur)="cityHideTooltip()" maxlength="255" matTooltipPosition="above" matTooltipClass="city-tooltip-red" >
												<div *ngIf="showRefCitySelection[i]" class="auto-select">
													<ul>
														<li *ngFor="let option of cityList" (click)="selectRefCity(option, referenceRow , i)">
															{{option.value}}
														</li>
													</ul>
												</div>
												<mat-error *ngIf="referenceRow.get('cityName').errors && referenceRow.get('cityName').errors.required">Please enter the city</mat-error>
												<mat-error *ngIf="referenceRow.get('cityName').errors && referenceRow.get('cityName').errors.city && referenceRow.get('cityName').errors.city.incorrect">{{ showCityServicableMsg }}</mat-error>
												<mat-error *ngIf="referenceRow.get('cityName').errors && referenceRow.get('cityName').errors.city && referenceRow.get('cityName').errors.city.incorrect">City is not Serviceable.</mat-error>
												<!-- <mat-error *ngIf="referenceRow.get('cityName').errors && referenceRow.get('cityName').errors.maxlength">Company name can be 120 characters long.</mat-error> -->
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" numberOnly maxlength="6" cropZero="true" placeholder="Pincode*" formControlName="pinCode" type="text" >
												<mat-error *ngIf="referenceRow.get('pinCode').errors && referenceRow.get('pinCode').errors.postalCode && referenceRow.get('pinCode').errors.postalCode.required">Please enter Pincode</mat-error>
												<mat-error *ngIf="referenceRow.get('pinCode').errors && referenceRow.get('pinCode').errors.postalCode && referenceRow.get('pinCode').errors.postalCode.pattern">Please enter 6 digit valid Pincode</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<mat-select [errorStateMatcher]="formSubmittedMatcher" placeholder="Accommodation Type*" formControlName="accommodationType" disableOptionCentering>
													<mat-option>Select</mat-option>
													<mat-option *ngFor="let item of constantsService.constants.accommodationType" [value]="item.key">{{ item.value }}</mat-option>
												</mat-select>
												<mat-error *ngIf="referenceRow.get('accommodationType').errors && referenceRow.get('accommodationType').errors.required">Please select Accommodation Type</mat-error>
											</mat-form-field>
										</div>
										<div class="form-col">
											<mat-form-field>
												<input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" phone length="10" placeholder="Mobile Number*" formControlName="mobileNumber" type="text" >
												<mat-error *ngIf="referenceRow.get('mobileNumber').errors && referenceRow.get('mobileNumber').errors.mobile && referenceRow.get('mobileNumber').errors.mobile.required">Please enter Mobile Number</mat-error>
												<mat-error *ngIf="referenceRow.get('mobileNumber').errors && referenceRow.get('mobileNumber').errors.mobile && referenceRow.get('mobileNumber').errors.mobile.pattern">Please enter valid Mobile Number</mat-error>
												<div class="help-tool field-help-tool">
													<i class="material-icons">help_outline</i>
													<span class="help-tool-txt">
														We do not spam you and your mobile number is not shared with any other party without your consent.
													</span>
												</div>
											</mat-form-field>
										</div>
									</div>
								</div> <!-- Reference end -->
							</ng-template>
						</mat-expansion-panel>
					</div>
				</mat-accordion>
			</div>  
		</div>
		<div class="btn-wrap clearfix">
			<button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
			<button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
			<button class="main-btn" mat-button type="submit" (click)= "continue()" [disableRipple]="true">Submit</button>
			<app-loader *ngIf="formSubmitted" type="3"></app-loader>
		</div>
	</form>
</div>

